/*
 * DemosceneMusic - PropertiesAccessor.java - Copyright © 2012 David Roden
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.pterodactylus.demoscenemusic.template;

import net.pterodactylus.demoscenemusic.data.Base;
import net.pterodactylus.demoscenemusic.data.Properties;
import net.pterodactylus.demoscenemusic.utils.AudioCodecs;
import net.pterodactylus.util.template.Accessor;
import net.pterodactylus.util.template.TemplateContext;

/**
 * {@link Accessor} implementation that can access the properties of the custom
 * {@link Properties} of a data container.
 *
 * @see Base#getProperties()
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class PropertiesAccessor implements Accessor {

	//
	// ACCESSOR METHODS
	//

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Object get(TemplateContext templateContext, Object object, String member) {
		Properties properties = (Properties) object;
		if ("audio/codec".equals(member)) {
			return AudioCodecs.codecDescriptions.get(properties.get(member));
		}
		return properties.get(member);
	}

}
